@echo off
REM Remove old .h files that were created.
del *.h
del *.c
REM Translate .png files into .raw.c files.
for %%i in (*.png) do raw2c %%i
REM Translate .dat files into .raw.c files.
for %%i in (*.dat) do raw2c %%i
REM Rename .h files into .sprite.h files.
for /f "tokens=1,3 delims=." %%i in ('dir *.h /b') do rename %%i.h %%i.sprite.h
for /f "tokens=1,3 delims=." %%i in ('dir *.c /b') do rename %%i.c %%i.sprite.c
REM Copy files to where they will be compiled.
del ..\source\Sprites\*.h
del ..\source\Sprites\*.c
move *.h ..\source\Sprites\
move *.c ..\source\Sprites\
